<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <rich:dataTable value="#{inputs}" var="input"
                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                    render="ds" id="inputTable">
        <ui:include src="/xvalidation/common/referencedObjectColumns.xhtml">
            <ui:param name="input" value="#{input}"/>
        </ui:include>
        <g:column sortBy="#{'messageType'}">
            <ui:define name="header">#{messages['net.ihe.gazelle.xval.MessageType']}</ui:define>
            <h:outputText value="#{input.messageType.value}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.xval.Cardinality']}</ui:define>
            <h:outputText value="#{input.minQuantity}"/>
            <h:outputText value=".."/>
            <h:outputText value="#{input.maxQuantity}" rendered="#{input.maxQuantity &gt;= 0}"/>
            <h:outputText value="*" rendered="#{input.maxQuantity == -1}"/>
        </g:column>
        <ui:insert name="additionalColumns"/>
        <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.xval.Actions']}</ui:define>
            <div class="gzl-never-wrap">
                <!--<g:imagelink value="#{input.referencedObject}" fontIcon="gzl-icon-search " target="blank"/>-->
                <ui:insert name="actionButtons"/>
            </div>
        </g:column>
        <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
                <ui:param name="dataScrollerId" value="ds"/>
                <ui:param name="dataTableId" value="inputTable"/>
            </ui:include>
        </f:facet>
    </rich:dataTable>
</ui:composition>
